<!doctype html>
<html>
<head>
    <meta charset='utf-8'>
    <meta name='viewport' content='width=device-width, initial-scale=1'>
    <title>Snippet - BBBootstrap</title>
    <link href='https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css' rel='stylesheet'>
    <script src="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"></script>
    <script type='text/javascript' src='https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js'></script>
    <style>::-webkit-scrollbar {
            width: 8px;
        }

        /* Track */
        ::-webkit-scrollbar-track {
            background: #f1f1f1;
        }

        /* Handle */
        ::-webkit-scrollbar-thumb {
            background: #888;
        }

        /* Handle on hover */
        ::-webkit-scrollbar-thumb:hover {
            background: #555;
        }

        body {
            background-color: red
        }

        .height-100 {
            height: 100vh
        }

        .card {
            width: 400px;
            border: none;
            height: 330px;
            box-shadow: 0px 5px 20px 0px #d2dae3;
            z-index: 1;
            display: flex;
            justify-content: center;
            align-items: center
        }

        .card h6 {
            color: red;
            font-size: 20px
        }

        .inputs input {
            width: 40px;
            height: 40px
        }

        input[type=number]::-webkit-inner-spin-button, input[type=number]::-webkit-outer-spin-button {
            -webkit-appearance: none;
            -moz-appearance: none;
            appearance: none;
            margin: 0
        }

        .card-2 {
            background-color: #fff;
            padding: 10px;
            width: 350px;
            height: 100px;
            bottom: -50px;
            left: 20px;
            position: absolute;
            border-radius: 5px
        }

        .card-2 .content {
            margin-top: 50px
        }

        .card-2 .content a {
            color: red
        }

        .form-control:focus {
            box-shadow: none;
            border: 2px solid red
        }

        .validate {
            border-radius: 20px;
            height: 40px;
            background-color: red;
            border: 1px solid red;
            width: 140px
        }</style>
</head>

<?php

require_once "vendor/autoload.php";
use Gregwar\Captcha\CaptchaBuilder;
use Gregwar\Captcha\PhraseBuilder;
session_start();
require_once "connection.php";
?>

<?php
require_once "sms.php";
//sendSms();
$errorMessage = "";
//session_destroy();

if(!empty($_GET["resent"]) && $_GET["resent"] == 1 && !empty($_SESSION["phone"]) && ($_SESSION["sentCount"] <3)){

    $sendOtp = sendSms($_SESSION["phone"], $_SESSION["otp"]);
    $_SESSION["sentCount"] = $_SESSION["sentCount"] + 1;

}elseif(isset($_SESSION["sentCount"]) && $_SESSION["sentCount"] >= 3){
    $errorMessage = "OTP limit Reached";
}

if(!empty($_POST["validate"])){

    $otptext1 = $_POST["otptext1"];
    $otptext2 = $_POST["otptext2"];
    $otptext3 = $_POST["otptext3"];
    $otptext4 = $_POST["otptext4"];
    $otptext5 = $_POST["otptext5"];
    $otptext6 = $_POST["otptext6"];

    $phone = $_SESSION['phone'];
    $oTpText = $otptext1.$otptext2.$otptext3.$otptext4.$otptext5.$otptext6;
    $sql = "select id from users where phone = '$phone' and code = '$oTpText'";
    $chkResult = $conn->query($sql);

    if($chkResult->num_rows >= 1){

        $sql = "update users set isVerified = 1 where phone = '$phone'";
        $updateUser = $conn->query($sql);
        session_destroy();
        header('Location: login.php');
        die;

    }


}

if (!empty($_POST['signup'])) {

    // Checking that the posted phrase match the phrase stored in the session
    if (!empty($_SESSION['phrase']) && PhraseBuilder::comparePhrases($_SESSION['phrase'], $_POST['phrase'])) {

        $name = $_POST["firstName"];
        $phone = "+241".substr(str_replace(' ', '', $_POST["phone"]), -8);
        $otp = random_int(100000, 999999);
        $createdAt = date("Y-m-d H:i:s");

        if(empty($name)){
            $errorMessage = "First name is required";
        }elseif(empty($phone)){
            $errorMessage = "Phone number is required";
        }else{

            $chk = "select id from users where phone ='$phone'";
            $chkResult = $conn->query($chk);

            if($chkResult->num_rows >= 1){
                $errorMessage = "User Already exist Please login";
            }else{

                $sql = "INSERT INTO `matadipog`.`users` (`name`, `phone`, `code`, `created_at`, `isVerified`) VALUES ('$name', '$phone', '$otp', '$createdAt','0')";
                $result = $conn->query($sql);
                if ($result) {
                    $sendOtp =sendSms($phone,$otp);
                    $_SESSION["phone"] = $phone;
                    $_SESSION["sentCount"] = 1;
                    $_SESSION["verify"] = 1;
                    $_SESSION["last4digits"] = substr($phone, -4);
                    $_SESSION["otp"] = $otp;

                } else {
                    $errorMessage = "Sorry, users can't be created at this time";
                }
            }

            $conn->close();
        }

    } else {
        $errorMessage = "Challenge Text error";
    }
    // The phrase can't be used twice
    unset($_SESSION['phrase']);
}


$phraseBuilder = new PhraseBuilder(5, '0123456789');
$builder = new CaptchaBuilder(null, $phraseBuilder);

$_SESSION['phrase'] = $builder->getPhrase();
$builder
    ->setBackgroundColor(254, 254, 254)
    ->build();



?>

<body className='snippet-body'>
<div class="container height-100 d-flex justify-content-center align-items-center">
    <?php if(!empty($_SESSION["verify"]) && $_SESSION["verify"] == 1){ ?>
        <div class="position-relative">
            <div class="card p-2 text-center">
                <h6>Please enter the one time password <br> to verify your account</h6>
                <div><span>A code has been sent to</span> <small>*******<?php echo !empty($_SESSION["last4digits"]) ? $_SESSION["last4digits"]: ""; ?></small></div>
                <div><span><?php echo !empty($errorMessage) ? $errorMessage : ""; ?></span></div>
               <form method="post" action="register.php">
                <div id="otp" class="inputs d-flex flex-row justify-content-center mt-2">
                    <input class="m-2 text-center form-control rounded" required type="text" name="otptext1" id="first" maxlength="1"/>
                    <input class="m-2 text-center form-control rounded" required type="text" name="otptext2" id="second" maxlength="1"/>
                    <input class="m-2 text-center form-control rounded" required type="text" name="otptext3" id="third" maxlength="1"/>
                    <input class="m-2 text-center form-control rounded" required type="text" name="otptext4" id="fourth" maxlength="1"/>
                    <input class="m-2 text-center form-control rounded" required type="text" name="otptext5" id="fifth" maxlength="1"/>
                    <input class="m-2 text-center form-control rounded" required type="text" name="otptext6" id="sixth" maxlength="1"/>
                </div>
                <div class="mt-4">
                    <button type="submit" name="validate" value="1" class="btn btn-danger px-4 validate">Validate</button>
                </div>
               </form>
            </div>
            <div class="card-2">
                <div class="content d-flex justify-content-center align-items-center">
                    <span>Didn't get the code</span> <a href="register.php?resent=1" class="text-decoration-none ms-3">Resend(<?php echo $_SESSION["sentCount"]; ?>/3)</a>
                </div>
            </div>
        </div>
    <?php }else{ ?>
        <div class="position-relative">
            <div class="card p-12 text-center">
                <form id="defaultForm" method="post" name="register" class="form-horizontal" action="register.php">
                    <h6>Register yourself</h6>
                    <?php if(!empty($errorMessage)){ ?><div><small><?php echo $errorMessage;  ?></small></div> <?php } ?>
                    <div class="input-group mb-3">
                        <!--                    <span class="input-group-text" id="inputGroup-sizing-sm">First Name</span>-->
                        <input type="text" class="form-control" name="firstName" aria-label="Sizing example input" aria-describedby="inputGroup-sizing-sm" required placeholder="First Name">
                    </div>
                    <div class="input-group mb-3">
                        <span class="input-group-text" id="inputGroup-sizing-sm">(+241)</span>
                        <input type="text" class="form-control" name="phone" aria-label="Text input with dropdown button" required placeholder="Phone Number">
                    </div>
                    <div class="input-group mb-3">
                        <img src="<?php echo $builder->inline(); ?>" />
                    </div>
                    <div class="input-group mb-3">
                        <input type="text" class="form-control" name="phrase" aria-label="Sizing example input" required aria-describedby="inputGroup-sizing-sm" placeholder="Challenge Text">
                    </div>

                    <div class="input-group">
                        <button type="submit" class="btn btn-primary" name="signup" value="Sign up">Submit</button>
                    </div>
                </form>
            </div>
        </div>
    <?php } ?>
</div>
<script type='text/javascript' src='https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js'></script>
<script type='text/javascript'>document.addEventListener("DOMContentLoaded", function (event) {

        function OTPInput() {
            const inputs = document.querySelectorAll('#otp > *[id]');
            for (let i = 0; i < inputs.length; i++) {
                inputs[i].addEventListener('keydown', function (event) {
                    if (event.key === "Backspace") {
                        inputs[i].value = '';
                        if (i !== 0) inputs[i - 1].focus();
                    } else {
                        if (i === inputs.length - 1 && inputs[i].value !== '') {
                            return true;
                        } else if (event.keyCode > 47 && event.keyCode < 58) {
                            inputs[i].value = event.key;
                            if (i !== inputs.length - 1) inputs[i + 1].focus();
                            event.preventDefault();
                        } else if (event.keyCode > 64 && event.keyCode < 91) {
                            inputs[i].value = String.fromCharCode(event.keyCode);
                            if (i !== inputs.length - 1) inputs[i + 1].focus();
                            event.preventDefault();
                        }
                    }
                });
            }
        }

        OTPInput();


    });</script>
<script type='text/javascript'>
    var myLink = document.querySelector('a[href="#"]');
    myLink.addEventListener('click', function (e) {
        e.preventDefault();
    });

    $(".dropdown-menu li a").click(function () {
        $(this).parents(".dropdown").find('.btn').html($(this).text() + ' <span class="caret"></span>');
        $(this).parents(".dropdown").find('.btn').val($(this).data('value'));
    });
</script>

</body>
</html>